Mattermost Peer-to-Peer Forum

Database update


#1

Hi. I just updated from 5.7.0 to 5.7.1 (team version) following the posted instructions. Afterwards I checked “About Mattermost” and see that my database schema version is behind:

Mattermost Version: 5.7.1
Database Schema Version: 5.7.0
Database: postgres

Is this a problem? Have I missed a step?
Thanks!


#2

Hello there, @mscala.

I would assume that you followed the full steps to upgrade Mattermost according to the official documentation here - Upgrading Mattermost Server, so you should not be missing on any particular step.

Cross checking the Mattermost Changelog, I do not see any specific known issues with the inconsistent mattermost and database version after upgrading from version 5.7.0 equipped with the postgres database.

In this case, may I know if you can try to log out from the sessions that you are currently on and log in again to see if the inconsistency is still observed (both web and desktop client) to see if it is not just a client caching issue? Do you also notice any issues so far in terms of chat functionality, file sharing, etc.?

Can you also run the platform version command if you have access to the backend command line of Mattermost and provide the output too? I came across an article which explains the following, so it could be the case here:

Database Schema Version
This indicates the schema version of the Mattermost database, with numbering similar to the Mattermost server version. The database schema version is set by the Mattermost server on install and on upgrades when the Mattermost database schema is updated. If no updates to the Mattermost server are made, the schema version is not updated. A list of database changes from version to version is indicated in the Mattermost changelog.


#3

That is normal as 5.7.1 was just a hotfix and had no changes in the database.